.relation {
    text-align: left;
    height: 100%;
}

.relationTitle {
    height: 1cm;
    font-size: 20pt;
    font-weight: bold;
}

.relationBlock {
    text-overflow: ellipsis;
    width: inherit;
    height: calc(100% - 1cm);
    overflow-y: auto;
}

.modelRelation {
    display: none;
}

.modelLabel:before, .modelLabelClass:before {
    font-family: "Font Awesome\ 5 Free";
    content: "\f054";
    font-weight: 900;
    color: #bbbbbb;
}

.modelLabel, .modelLabelClass, .modelLabelClassLast {
    display: inline-block;
    width: 4mm;
    padding: 0 1mm 0 2mm;
    border-radius: 2px;
    cursor: pointer;
}

.modelCheckBox:not(:checked) ~ .modelRelation {
    display: none;
}

.modelCheckBox:checked ~ .modelRelation {
    display: block;
}

.modelCheckBox:not(:checked) ~ .modelLabel:before {
    content: "\f054";
    color: #bbbbbb;
}

.modelCheckBox:checked ~ .modelLabel:before {
    content: "\f078";
    color: #777777;
}

.modelCheckBox[type="checkbox"] {
    display: none;
}

.modelLabelClass, .modelLabelClassLast {
    padding-left: 9mm;
}

.modelCheckBox:not(:checked) ~ .modelLabelClass:before {
    content: "\f054";
    color: #bbbbbb;
}

.modelCheckBox:checked ~ .modelLabelClass:before {
    content: "\f078";
    color: #777777;
}

.element {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}